import * as React from 'react';
import {
    Container,
    List,
    Header,
} from 'semantic-ui-react';

export interface Props {
}

export interface State {

}

export class Notification extends React.Component<Props, State> {

    constructor(props: Props, context: State) {
        super(props, context);
        this.state = {
        };
    }

    public render(): JSX.Element {

        return (
            <Container fluid>
                <Header as='h4' content='User Notifications'/>
                <List divided relaxed>
                    <List.Item>
                        <List.Icon name='github' size='large' verticalAlign='middle' />
                        <List.Content>
                            <List.Header as='a'>Semantic-Org/Semantic-UI</List.Header>
                            <List.Description as='a'>Updated 10 mins ago</List.Description>
                        </List.Content>
                    </List.Item>
                    <List.Item>
                        <List.Icon name='github' size='large' verticalAlign='middle' />
                        <List.Content>
                            <List.Header as='a'>Semantic-Org/Semantic-UI-Docs</List.Header>
                            <List.Description as='a'>Updated 22 mins ago</List.Description>
                        </List.Content>
                    </List.Item>
                    <List.Item>
                        <List.Icon name='github' size='large' verticalAlign='middle' />
                        <List.Content>
                            <List.Header as='a'>Semantic-Org/Semantic-UI-Meteor</List.Header>
                            <List.Description as='a'>Updated 34 mins ago</List.Description>
                        </List.Content>
                    </List.Item>
                </List>
            </Container>
        );
    }
}
